define(["require", "exports", "../constants", "./activity"], function (require, exports, constants_1, activity_1) {
    "use strict";
    Object.defineProperty(exports, "__esModule", { value: true });
    /**
     * Describes a BPMN SendTask.
     *
     * A send task sends a user defined message to a ReceiveTask.
     *
     * In contrast to an Intermediate Message, a SendTask will block
     * the execution of the process, until a confirmation message from a
     * ReceiveTask was fetched.
     */
    class SendTask extends activity_1.Activity {
        get bpmnType() {
            return constants_1.BpmnType.sendTask;
        }
    }
    exports.SendTask = SendTask;
});
//# sourceMappingURL=send_task.js.map